#include <bits/stdc++.h>

typedef long long ll;

using namespace std;

int main(){
    ios::sync_with_stdio(0);cin.tie(0);cout.tie(0);
    ll x1,x2,y1,y2;
    cin>>x1>>y1>>x2>>y2;

    if(abs(x1-x2)==0 && abs(y1-y2)!=0 || abs(x1-x2)!=0 && abs(y1-y2)==0){
        cout<<"2\n";
        return 0;
    }

    if(abs(x1-x2) == abs(y1-y2))
        cout<<"1\n";
    else
        cout<<"0\n";


    return 0;
}